"Cannot install project facet" error while creating a project?

I got the project from repository and as per the set-up instructions I tried to create a project in eclipse and pointed the location to where I downloaded the code from repository. Then when I click on finish I got the error stating

"One or more constraints have not been satisfied. Cannot install project facet Java 1.6. Some version of this project facet is already installed. Cannot install project facet Dynamic Web Module 3.0. Some version of this project facet is already installed."

How to solve this one?

Answers


I resolved this one. The solution is I have to goto to the ".settings" folder which is at the project location and deleted "org.eclipse.wst.common.project.facet.core.xml" file and restarted the process again. This time it worked. Thanks for your help.


Need Your Help

A priority queue which allows efficient priority update?

data-structures timeout queue scheduling priority-queue

UPDATE: Here's my implementation of Hashed Timing Wheels. Please let me know if you have an idea to improve the performance and concurrency. (20-Jan-2009)

Replace a word with multiple lines using sed?

bash replace sed

I'm working on a bash-script that has to prepare an E-Mail for being sent to a user.